# -*- encoding: utf-8 -*-

from paste.script import templates
from paste.script.templates import var

DJANGO_DEFAULT = "1.2.3"

class DjangoTemplate(templates.Template):
    egg_plugins = ['auf.skeleton.django']
    summary = 'Démarrer un nouveau projet Django avec Buildout'
    _template_dir = 'templates/django'
    use_cheetah = True

    vars = [
        var('django_version',
            'Version de Django %s' % DJANGO_DEFAULT,
            default=DJANGO_DEFAULT),
    ]
    
    def post(self, command, output_dir, vars):
        print "----------------------------------------------------------------"
        print "Génération du projet terminée."
        print ""
        print "################### AVERTISSEMENTS #############################"
        print "* Assurez-vous d'avoir chargé votre environement virtuel"
        print "################################################################"
        print ""
        print "1 : cd %s (aller dans le nouveau projet)" % output_dir
        print "2 : python bootstrap.py (pour récupérer setuptools)"
        print "3 : bin/buildout -c devel.cfg (pour boostraper le projet Django)"
        print "----------------------------------------------------------------"
